AC_PACKAGE(NAL)
AC_VERSION(0.1)
dnl Process this file with autoconf to produce a configure script.
AC_INIT(AudioDevices/AudioDevice.h)
dnl AM_INIT_AUTOMAKE(nal, 0.1, "")

dnl Checks for programs.
AC_PROG_CXX(g++)
AC_PROG_CC(gcc)
AC_PROG_RANLIB(ranlib)
AC_PROG_INSTALL
AC_ARG_PROGRAM

dnl Checks for libraries.

dnl Checks for header files.
AC_HEADER_STDC

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_UID_T
AC_C_INLINE
AC_TYPE_OFF_T
AC_TYPE_PID_T
AC_TYPE_SIZE_T
AC_HEADER_TIME
AC_STRUCT_TM

dnl Checks for library functions.
AC_FUNC_MEMCMP
AC_CHECK_FUNCS(gettimeofday strdup uname)

AC_OUTPUT(Utils/Makefile Network/Makefile Common/Makefile AudioDeviceTest/Makefile AudioDevices/Makefile Codecs/Makefile  Makefile)
